package com.ozs.service.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ozs.common.annotation.Excel;
import com.ozs.common.core.domain.BaseEntity;
import com.ozs.common.core.domain.BaseEntityExp;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/4/24
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("相机升级日志表")
public class CameraUpdateLog implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 相机编码
     */
    @Excel(name = "相机编码", width = 30)
    private String cameraCode;

    /**
     * 版本号
     */
    private String versionNum;

    /**
     * 版本名称
     */
    private String versionName;

    /**
     * 升级类型
     */
    private String upgradeType;

    /**
     * 升级状态
     */
    @Excel(name = "状态", readConverterExp = "1=升级成功,2=升级中,3=升级失败")
    private Integer status;

    /**
     * 上一版本号
     */
    @TableField(exist = false)
    @Excel(name = "上一版本号")
    private String lastVersionNum;

    /**
     * 当前版本号
     */
    @TableField(exist = false)
    @Excel(name = "当前版本号")
    private String currentVersionNum;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
